Get customer

API at a glance

Description: This API retrieves the complete profile details of a customer using their UUID, including contact information, behavioral data, device information, UTM parameters, and engagement metrics.

Authentication & testing

Testing the API on this page

How to try it here

  • Use your User API Key as the Username (leave Password blank).
  • Select the appropriate API endpoint based on your Blueshift region.
  • API - Select Region
  • Enter the necessary parameters and click Try It to run the request.
Authentication using Base64 encoding

Note for developers

API requests require authentication using HTTP Basic Authentication with an API key. The API key serves as the username, while the password field should be left empty. The format to encode is: your_api_key: (note the trailing colon).

This string must be Base64-encoded and included in the request's Authorization header as follows:

Authorization: Basic encoded_value

You can generate the encoded value using a trusted Base64 encoder.


Postman collection

Try it with Postman: Explore the API using Blueshift's Postman collection.


Things to know before you start

  • UUID required: You must provide the customer's UUID to retrieve their details.
  • Customer UUID source: Available from Search customer API or Create/Update customer API response.
  • Use case: Best for customer profile retrieval, support queries, data synchronization, and integrating customer data with external systems.

Request parameters

Check out the request parameters

Path parameters

ParameterTypeRequiredDescription
uuidstring✅ YesUUID of the customer to retrieve details for.

Example requests & responses

Get customer details
GET /api/v1/customers/{uuid}
{
  "customer": {
    "activated_at": "2022-09-17T17:03:25Z",
    "created_at": "2024-10-03T04:57:24.000Z",
    "custom_attributes": {},
    "customer_id": "812123",
    "device_ids": ["4d031ed8-c40e-57d4-9c99-a3e308d8cd78"],
    "email": "[email protected]",
    "email_hash": "e169b640b9ceda26ce4c3d8a919eb42c",
    "firstname": "Mike",
    "lastname": "Doel",
    "joined_at": "2011-10-11T19:58:17Z",
    "last_browser_platform": "Mac OS X",
    "last_browser_type": "Chrome",
    "last_browser_version": "30",
    "last_ip": "201.33.19.3",
    "last_location_city": "San Francisco",
    "last_location_country": "USA",
    "last_location_country_code": "US",
    "last_location_pin_code": "94536",
    "last_location_state": "California",
    "last_location_timezone": "Pacific/Los_Angeles",
    "last_purchase_at": "2021-08-25T06:06:59.410Z",
    "last_visit_at": "2024-05-23T20:10:21Z",
    "lifetime_orders": 0,
    "lifetime_revenue": 0,
    "lifetime_visits": 5,
    "predictive_engagement_percentile": 78,
    "predictive_purchase_intent_percentile": 86,
    "predictive_retention_percentile": 70,
    "uuid": "06743da2-9589-4c01-afda-e3d85e487fa7"
  }
}
Path Params
string
required
Responses

400

The request was invalid or cannot be otherwise served. An accompanying error message will explain further.

404

Resource not found. This can happen due to resource conflicts. Retry with exponential backoff. If the issue persists, contact Blueshift.

409

Conflict error, please retry. The request could not be completed due to a conflict with the current state of the target resource. Re-try with exponential backoff.

413

You can upload up to 50 users in an API call.

429

Rate limit exceeded. Too many requests. Contact us on [email protected] for recommended throughput.

500

Internal server error. Contact Blueshift for more information.

502

Service unavailable, please retry. Bad gateway. Retry with exponential backoff.

503

Service unavailable, please retry. Service unavailable. Retry with exponential backoff.

504

Service unavailable, please retry. Gateway timeout. Retry with exponential backoff.

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json